## org.apache.commons.collections.map
Class AbstractHashedMap.ValuesIterator

    java.lang.Object
      org.apache.commons.collections.map.AbstractHashedMap.HashIterator
          org.apache.commons.collections.map.AbstractHashedMap.ValuesIterator

All Implemented Interfaces:
  Iterator

Enclosing class:
  AbstractHashedMap

protected static class AbstractHashedMap.ValuesIterator
extends AbstractHashedMap.HashIterator

Values iterator.

Field Summary

Fields inherited from class org.apache.commons.collections.map.AbstractHashedMap.HashIterator
`expectedModCount, hashIndex, last, next, parent`

Constructor Summary
`protected` `AbstractHashedMap.ValuesIterator(AbstractHashedMap parent)`

Method Summary
`Object` `next()`

Methods inherited from class org.apache.commons.collections.map.AbstractHashedMap.HashIterator
`currentEntry, hasNext, nextEntry, remove, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractHashedMap.ValuesIterator

    protected AbstractHashedMap.ValuesIterator(AbstractHashedMap parent)

Method Detail

### next

    public Object next()

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.